package com.bonus.material.lease.service;

import java.util.List;
import com.bonus.material.lease.domain.LeaseTeamInfo;

/**
 * 项目部班组管理Service接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface ILeaseTeamInfoService {
    /**
     * 查询项目部班组管理
     * 
     * @param id 项目部班组管理主键
     * @return 项目部班组管理
     */
    public LeaseTeamInfo selectLeaseTeamInfoById(Long id);

    /**
     * 查询项目部班组管理列表
     * 
     * @param leaseTeamInfo 项目部班组管理
     * @return 项目部班组管理集合
     */
    public List<LeaseTeamInfo> selectLeaseTeamInfoList(LeaseTeamInfo leaseTeamInfo);

    /**
     * 新增项目部班组管理
     * 
     * @param leaseTeamInfo 项目部班组管理
     * @return 结果
     */
    public int insertLeaseTeamInfo(LeaseTeamInfo leaseTeamInfo);

    /**
     * 修改项目部班组管理
     * 
     * @param leaseTeamInfo 项目部班组管理
     * @return 结果
     */
    public int updateLeaseTeamInfo(LeaseTeamInfo leaseTeamInfo);

    /**
     * 批量删除项目部班组管理
     * 
     * @param ids 需要删除的项目部班组管理主键集合
     * @return 结果
     */
    public int deleteLeaseTeamInfoByIds(Long[] ids);

    /**
     * 删除项目部班组管理信息
     * 
     * @param id 项目部班组管理主键
     * @return 结果
     */
    public int deleteLeaseTeamInfoById(Long id);
}
